<?php
include "authorise.php";

try {
    $db_path = $_SERVER['DOCUMENT_ROOT'] . '/assets/database.sqlite';

    $pdo = new PDO('sqlite:' . $db_path);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    $pdo->prepare("CREATE TABLE IF NOT EXISTS config (
        key TEXT PRIMARY KEY,
        value TEXT)")->execute();

    $pdo->prepare("UPDATE config SET value = :new_url
    WHERE key='upstream_url'")->execute(['new_url' => $_POST['ade_url']]);

} catch (PDOException $err) {
    echo $err->getMessage();
}



$script_path = $_SERVER['DOCUMENT_ROOT'] . '/assets/schedule.py';
$outputfile = $_SERVER['DOCUMENT_ROOT'] . '/assets/schedule.out';
$root = $_SERVER['DOCUMENT_ROOT'];

exec("cd $root && python3 $script_path >> $outputfile 2>&1 &");