<!DOCTYPE html>
<html lang="fr">

<head>
    <title>UFHOUR - Login</title>
    <!-- Head -->
    <?php require "assets/php/reusables/head.php"; ?>
    <script defer src="assets/js/login_form.js"></script>
</head>

<body>
    <main>
        <header>
            <h1>UFHOUR</h1>
            <p><?= $locale["subtitle"]; ?></p>
        </header>
        <h2><?= $locale["admin_login"]; ?></h2>
        <hr>

        <form>
            <label><?= $locale["username"]; ?>
                <input type="text" name="username" required>
            </label>
            <label><?= $locale["password"]; ?>
                <input type="password" name="password" required>
            </label>

            <?php
            if ($_GET['bad_login']) : ?>
                <p class="issue shown"><?= $locale["bad_login"]; ?> </p>
            <?php endif ?>

            <button type="submit"><?= $locale["login_action"]; ?></button>
        </form>
    </main>

    <?php include "assets/php/reusables/cookies.php"; ?>
    <?php include "assets/php/reusables/nav.php"; ?>
</body>

</html>