<!DOCTYPE html>
<html lang="fr">

<head>
  <title>UFHOUR</title>

  <!-- Head -->
  <?php require("assets/php/reusables/head.php"); ?>
  <script src="assets/js/search_form.js" defer></script>
</head>

<body>
  <main>
    <header>
      <h1>UFHOUR</h1>
      <p><?= $locale["subtitle"]; ?></p>
    </header>

    <form>
      <label><?= $locale["date"]; ?>
        <input type="date" name="date" , required>
      </label>
      <fieldset>
        <label><?= $locale["start_time"]; ?>
          <input type="time" name="start_time" required>
        </label>
        <label for="end_time"><?= $locale["end_time"]; ?>
          <input type="time" name="end_time" required>
        </label>
      </fieldset>

      <label><?= $locale["room_type"]; ?>
        <select name="room_type">
          <option value="tp"><?= $locale["room_tp"]; ?></option>
          <option value="td"><?= $locale["room_td"]; ?></option>
          <!-- <option value="amphi"><?= $locale["room_amphi"]; ?></option> -->
        </select>
      </label>

      <p class="issue" id="date_issue"><?= $locale["bad_date"]; ?> </p>
      <p class="issue" id="time_issue"><?= $locale["bad_time"]; ?> </p>

      <button type="submit"><?= $locale["search"]; ?></button>
    </form>
  </main>

  <?php include "assets/php/reusables/cookies.php"; ?>
  <?php include "assets/php/reusables/nav.php"; ?>
</body>

</html>